#ifndef MSP_AL_LIStENER_H_
#define MSP_AL_LISTENER_H_

#include <AL/al.h>

namespace Msp {
namespace AL {

/**
Represents the listener in the 3D environment.  This class is a singleton.
*/
class Listener
{
private:
	Listener() { }
public:
	static Listener &instance();

	void attribute(ALenum, float);
	void attribute(ALenum, float, float, float);
	void attribute(ALenum, const float *);
	void set_position(float, float, float);
	void set_gain(float);
};

} // namespace AL
} // namespace Msp

#endif
